2010-05-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.RegexToolkit/Commands.cs: Dialog placement.

2010-05-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.RegexToolkit/RegexToolkitWindow.cs: Added multi
	  monitor support.

2010-05-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.RegexToolkit.addin.xml: On Windows, show the
	  global options command in the Tools menu.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.RegexToolkit.addin.xml: Bumped MD version.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.RegexToolkit.csproj:
	* MonoDevelop.RegexToolkit.addin.xml:
	* MonoDevelop.RegexToolkit/RegexLibraryWindow.cs:
	* MonoDevelop.RegexToolkit/RegexToolkitWindow.cs: Merged
	  MD.Projects into MD.Core, and MD.Projects.Gui, MD.Core.Gui
	  and MD.Components into MD.Ide.

2010-02-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.RegexToolkit/RegexToolkitWindow.cs: disabled
	  elements list.

2010-02-05  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.RegexToolkit/RegexToolkitWindow.cs:
	* gtk-gui/MonoDevelop.RegexToolkit.RegexToolkitWindow.cs:
	  Avoid unhandled exception on invalid expression.

2010-01-24  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* MonoDevelop.RegexToolkit.csproj:
	* MonoDevelop.RegexToolkit/RegexLibraryWindow.cs:
	* MonoDevelop.RegexToolkit/RegexToolkitWindow.cs:
	* MonoDevelop.RegexToolkit/UpdateInProgressDialog.cs:
	* gtk-gui/MonoDevelop.RegexToolkit.RegexLibraryWindow.cs:
	* gtk-gui/MonoDevelop.RegexToolkit.RegexToolkitWindow.cs:
	* gtk-gui/MonoDevelop.RegexToolkit.UpdateInProgressDialog.cs:
	  Made the regex toolkit a bit nicer.

2009-12-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.RegexToolkit/RegexToolkitWindow.cs: Set button
	  sensitivity depending on whether entries are full. Pack
	  icons into same columns as text.

2009-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.RegexToolkit/UpdateInProgressDialog.cs: Name
	  threads to make debugging easier.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.RegexToolkit.addin.xml: Bump MD version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* MonoDevelop.RegexToolkit.csproj:
	* gtk-gui/MonoDevelop.RegexToolkit.RegexToolkitWindow.cs:
	* gtk-gui/MonoDevelop.RegexToolkit.RegexLibraryWindow.cs:
	* gtk-gui/MonoDevelop.RegexToolkit.UpdateInProgressDialog.cs:
	  Flush.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.RegexToolkit.addin.xml: Bump MD version.

2009-09-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.RegexToolkit.addin.xml: Added missing "..." to
	  menu item.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.RegexToolkit.csproj: Updated dependencies. We
	  now depend on gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-06-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.RegexToolkit/RegexLibraryWindow.cs: In .NET,
	  settings as read-only after the creation of an
	  XmlTextWriter.

2009-06-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.RegexToolkit/UpdateInProgressDialog.cs: Limit
	  the number of expressions when querying. Beyond 1230 there
	  is an expression which makes the web service reply to fail.

2009-06-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.RegexToolkit/UpdateInProgressDialog.cs: Properly
	  show error messages while updating.

2009-06-10  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.RegexToolkit.csproj:
	* MonoDevelop.RegexToolkit/RegexToolkitWindow.cs:
	* MonoDevelop.RegexToolkit/RegexLibraryWindow.cs:
	* gtk-gui/MonoDevelop.RegexToolkit.RegexToolkitWindow.cs:
	* gtk-gui/MonoDevelop.RegexToolkit.RegexLibraryWindow.cs:
	* gtk-gui/MonoDevelop.RegexToolkit.UpdateInProgressDialog.cs:
	  Cosmetic GUI fixes.

	* MonoDevelop.RegexToolkit/UpdateInProgressDialog.cs: Properly
	  handle cancellation of the web service call.

2009-06-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.RegexToolkit/RegexLibraryWindow.cs: On MS.NET
	  XmlWritter.Settings is not initialized by default. Path by
	  Carlo Kok.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* MonoDevelop.RegexToolkit.csproj: don't require specific
	gtk-sharp version.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.RegexToolkit.addin.xml: Bump MD version.

2009-03-02  David Makovský (Yakeen)  <yakeen@sannyas-on.net>

	* MonoDevelop.RegexToolkit/RegexToolkitWindow.cs: make strings
	  translatable

2009-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.RegexToolkit/RegexLibraryWindow.cs: Changed
	  override Destroy --> override OnDestroyed.

2009-02-25  Mike Krüger  <mkrueger@novell.com>

	* RegexElements.xml: Reverted changes (we came to the
	  conclusion that the old ones were more correct).

2009-02-25  Mike Krüger  <mkrueger@novell.com>

	* RegexElements.xml: Changed some problematic strings found by
	  eno.

2009-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.RegexToolkit/RegexToolkitWindow.cs:
	* MonoDevelop.RegexToolkit/RegexLibraryWindow.cs: Worked on
	  ressource de-allocation.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.RegexToolkit.mdp:
	* MonoDevelop.RegexToolkit.csproj: Migrated to MSBuild file
	  format.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.RegexToolkit.addin.xml: Bump MD version.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.RegexToolkit.mdp: Flush project format changes.

2008-12-19  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* MonoDevelop.RegexToolkit/RegexToolkitWindow.cs:
	* gtk-gui/MonoDevelop.RegexToolkit.RegexLibraryWindow.cs:
	* gtk-gui/MonoDevelop.RegexToolkit.RegexToolkitWindow.cs:
	* gtk-gui/MonoDevelop.RegexToolkit.UpdateInProgressDialog.cs:
	TooltipWindow has been moved to MD.Components.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.RegexToolkit.mdp: All projects now require fx 3.5.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.RegexToolkit.mdp: Don't require a specific version of
	Mono.Addins.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Make it work for parallel build.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* AssemblyInfo.cs: Add AssemblyInfo.cs files that are autogenerated from
	the addin manifests.

2008-12-01  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic: Manually remove unnecessary viewports. They were
	preventing automatic scrolling when the selection was changed with
	the keyboard.

	* MonoDevelop.RegexToolkit/RegexToolkitWindow.cs: Tidied. Remove
	unnecessary destructions. Work around GTK event handler marshalling
	issues by using a method instead of a delegate -- prevents error
	message when using Regex Toolkit on GTK# 2.12.6.

	* gtk-gui/MonoDevelop.RegexToolkit.RegexToolkitWindow.cs: Updated.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.RegexToolkit.addin.xml: Bump MD version.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.RegexToolkit.RegexLibraryWindow.cs,
	  gtk-gui/MonoDevelop.RegexToolkit.RegexToolkitWindow.cs,
	  gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.RegexToolkit.UpdateInProgressDialog.cs: Updated
	  generated code.

2008-06-18  Ankit Jain  <jankit@novell.com>

	* gtk-gui/MonoDevelop.RegexToolkit.RegexLibraryWindow.cs:
	* gtk-gui/gui.stetic: Fix window title, and set WrapMode on the
	description textview.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.RegexToolkit.addin.xml: Bump MD version.

2008-06-03  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.RegexToolkit/RegexLibraryWindow.cs,
	  MonoDevelop.RegexToolkit/RegexToolkitWindow.cs: Use the OnDestroyed
	  event instead of Dispose, since with the latest changes in gtk#,
	  Dispose is not called anymore when a widget is destroyed.

2008-05-07  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.RegexToolkit/RegexToolkitWindow.cs: Use base tooltip
	  window.
	* gtk-gui/gui.stetic: Set target GTK version to 2.8.

2008-04-18  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.RegexToolkit/RegexToolkitWindow.cs: fixed Bug 379472 -
	  GTK warnings caused by regex toolkit window.

2008-03-05  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.RegexToolkit/RegexToolkitWindow.cs,
	  gtk-gui/MonoDevelop.RegexToolkit.RegexToolkitWindow.cs: Set type wink

2008-03-05  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.RegexToolkit/RegexToolkitWindow.cs,
	  gtk-gui/MonoDevelop.RegexToolkit.RegexToolkitWindow.cs,
	  gtk-gui/gui.stetic: Changed start position.

2008-03-05  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.RegexToolkit/RegexToolkitWindow.cs,
	  gtk-gui/MonoDevelop.RegexToolkit.RegexToolkitWindow.cs,
	  gtk-gui/generated.cs, gtk-gui/gui.stetic: Overworked regex toolkit
	  window.

2008-02-28  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.RegexToolkit.RegexToolkitWindow.cs: Fixed "Bug 365624
	  - Widget toolbox are shown unsorted".

2008-02-27  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.RegexToolkit.RegexLibraryWindow.cs,
	  gtk-gui/MonoDevelop.RegexToolkit.RegexToolkitWindow.cs: Moved some
	  buttons.

2008-02-09  Mike Krüger <mkrueger@novell.com> 

	* Makefile.am: Managed texteditor is now standard - the gtksourceview1&2 are
	  now optional.

2008-01-29  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* MonoDevelop.RegexToolkit/RegexToolkitWindow.cs: Small workaround to be
	  able to build in mono 1.2.4 (mono 1.2.4 ignores usings in anon
	  delegates).

2008-01-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.RegexToolkit/RegexToolkitWindow.cs: Fixed Bug 355842 - Tootips
	  in regex toolkit are excessively persistent.

2008-01-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.RegexToolkit/RegexToolkitWindow.cs: Fixed Bug 355842 - Tootips
	  in regex toolkit are excessively persistent.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.RegexToolkit.addin.xml: Update MD version.

2008-01-15  Michael Hutchinson <mhutchinson@novell.com> 

	* RegexElements.xml: Improve formatting of translatable strings.
	* MonoDevelop.RegexToolkit/RegexToolkitWindow.cs: Actually feed translatable
	  strings from xml file through Gettext.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.RegexToolkit.mdp: Updated project files. The order of extended
	  properties won't change anymore.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.RegexToolkit.RegexToolkitWindow.cs,
	  gtk-gui/gui.stetic: Updated.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.RegexToolkit.addin.xml: Bump add-in versions.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.RegexToolkit.mdp, Makefile.am: Directory reorganization.

2007-12-02  Lluis Sanchez Gual <lluis@novell.com> 

	* AssemblyInfo.cs: Sync assembly and add-in versions.

2007-11-09  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.RegexToolkit/RegexLibraryWindow.cs: Track LoggingService API
	  changes.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.RegexToolkit.addin.xml: Bump MD version.

2007-10-24  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.RegexToolkit/RegexLibraryWindow.cs,
	  MonoDevelop.RegexToolkit/RegexToolkitWindow.cs: Regex library behaves
	  more nicely when scrolling.

2007-10-24  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.RegexToolkit.RegexToolkitWindow.cs,
	  gtk-gui/gui.stetic: Made the replacement regex label clearer.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.RegexToolkit.mdp: Project file names updated by change in MD
	  path functions.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.RegexToolkit.addin.xml: Bump MD version.

2007-09-20  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.RegexToolkit.RegexLibraryWindow.cs,
	  gtk-gui/MonoDevelop.RegexToolkit.RegexToolkitWindow.cs,
	  gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.RegexToolkit.UpdateInProgressDialog.cs: Regenerated
	  GUI files.

2007-08-31  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.RegexToolkit/RegexLibraryWindow.cs,
	  gtk-gui/MonoDevelop.RegexToolkit.RegexLibraryWindow.cs,
	  gtk-gui/MonoDevelop.RegexToolkit.RegexToolkitWindow.cs: Changes due to
	  new property infrastructure.

2007-08-15  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* MonoDevelop.RegexToolkit/UpdateInProgressDialog.cs: Use fully 
	  qualified type names inside anonymous delegates as a workaround 
	  for gmcs 1.2.4 bug.

2007-08-15  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.RegexToolkit/UpdateInProgressDialog.cs,
	  MonoDevelop.RegexToolkit/RegexLibraryWindow.cs,
	  MonoDevelop.RegexToolkit/RegexToolkitWindow.cs: Made the dialogs
	  more HID compliant.

2007-08-15  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.RegexToolkit.mdp: Added prefixes for makefile support.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.RegexToolkit.addin.xml, MonoDevelop.RegexToolkit.mdp,
	  Makefile.am: Reorganized the extension point hierarchy. Embedded all
	  add-in manifests as resources.

2007-08-03  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.RegexToolkit/RegexLibrary.cs,
	  MonoDevelop.RegexToolkit/RegexToolkit.cs: Regex library closing
	  behavior now is connected with the regex toolkit.

2007-08-03  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.RegexToolkit/RegexLibrary.cs,
	  MonoDevelop.RegexToolkit/RegexToolkit.cs,
	  MonoDevelop.RegexToolkit/Commands.cs,
	  MonoDevelop.RegexToolkit/Webservices.cs,
	  gtk-gui/MonoDevelop.RegexToolkit.RegexLibrary.cs,
	  gtk-gui/MonoDevelop.RegexToolkit.RegexToolkit.cs: Added regular
	  expression library to the regex toolkit.

2007-08-01  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.RegexToolkit/RegexToolkit.cs,
	  gtk-gui/MonoDevelop.RegexToolkit.RegexToolkit.cs: Regex toolkit now
	  supports replacement expressions.

2007-07-31  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.RegexToolkit/RegexToolkit.cs, RegexElements.xml: Worked
	  on tooltips.

2007-07-30  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.RegexToolkit/RegexToolkit.cs: worked on regex toolkit.

2007-07-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.RegexToolkit/RegexToolkit.cs,
	  gtk-gui/MonoDevelop.RegexToolkit.RegexToolkit.cs: Worked on regex
	  toolkit.

2007-07-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.RegexToolkit/RegexToolkit.cs, RegexElements.xml,
	  gtk-gui/MonoDevelop.RegexToolkit.RegexToolkit.cs: Worked on regex
	  toolkit.

2007-07-25  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.RegexToolkit.addin.xml,
	  MonoDevelop.RegexToolkit/RegexToolkit.cs,
	  MonoDevelop.RegexToolkit/Commands.cs: Initial checkin.

